API referenceSuppressions
Retrieve a suppression
GET
/suppressions/{id}By sup_ id or by email address, as in Resend.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 320Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/suppressions/string"{ "object": "suppression", "id": "string", "email": "string", "origin": "bounce", "source_id": "string", "reason": "bounce", "source": "provider", "connection_id": "string", "last_event_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "targets": [ { "connection_id": "string", "provider": "ses", "status": "suppressed", "error": { "name": "string", "message": "string" } } ]}